Page MenuHomePhabricator

Get the Growth experiment for the Hungarian Wikipedia
Closed, ResolvedPublic

Description

First

  • Post on Village Pump and reach consensus
  • Have a group of people who will enroll in this project as mentors (helping on the help desk or as direct mentors)

People to contact: @Samat

Then

Translations

Help panel

Homepage

Mentors

  • Create if necessary or update the mentors list
    • the format is [[User:Name]]|Description (be careful about the position of the | in the example!)
    • add the following sentence at the top:

Please introduce yourself in a short way (240 characters max) so that newcomers will know more about you. To increase focus, your message will not render wikitext or links. [[mw:Special:MyLanguage/Growth/Communities/How to introduce yourself as a mentor|See examples and best practices.]]

Understanding First Day

  • The list of namespaces where page title will not be recorded for privacy reasons (namespaces 0, 1, 6, 7 are mandatory). = 0, 1, 6, 7

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 14 2019, 1:03 PM
Tgr moved this task from Backlog to Huwiki on the User-Tgr board.
Tgr added a subscriber: Tgr.
Trizek-WMF updated the task description. (Show Details)Aug 15 2019, 12:51 PM
Trizek-WMF added a subscriber: MMiller_WMF.
kostajh moved this task from Inbox to Q1 2019-20 on the Growth-Team board.Aug 16 2019, 2:56 PM
kostajh added a subscriber: kostajh.

Moving to Q1 per parent task tag.

Samat added a comment.Aug 31 2019, 9:21 AM

@Trizek-WMF we are very much aware of this task, and I wish to make it with top priority (I really believe this will be one of the most important parts of our project, and one of the most important tools to reach our goals), but right now we have less than two weeks to prepare a report for the WMF about the stage of the project, and we try to fulfill all other (docents of) promises (researches, statistics, surveys and interviews, events and their reports, etc.) before that deadline we made in the project application. I hope it will be satisfying for everybody, but it is a lot of work currently.

The community consultation is running and it looks we will reach consensus in a few days. We don't have too many missing (necessary) translations, and we already have some volunteers for mentoring (and we try to convince more community members continuously). This task is the first, which we will focus on after the report. (Maybe, we will have progress already earlier.)

Thank you for the update @Samat, and all the best concerning the report! Please update this task when you will have some news. :)

Trizek-WMF updated the task description. (Show Details)Sep 5 2019, 10:35 AM
Trizek-WMF updated the task description. (Show Details)Sep 18 2019, 6:37 PM

Any update?

I see that the interface is 88% translated, good job!

Interface 100% translated! Congratulations.

Tgr added a comment.Sep 26 2019, 10:22 AM

Any update?

This temporarily took a back seat due to things that have a stricter deadline. Finding translators is something we never had much success with (outside of Translatewiki.net where there are a few fairly active Hungarian translators), and of the people who normally do this kind of thing, Samat had to work on higher-priority tasks in the editor retention project (survey work, the midpoint grant report and a patroller training event happening this weekend), and I have been tied down with movement strategy. We'll probably get back to it in a week or so.

Samat updated the task description. (Show Details)Oct 6 2019, 9:49 AM
Samat updated the task description. (Show Details)Oct 6 2019, 12:37 PM
Samat updated the task description. (Show Details)Oct 6 2019, 2:51 PM
Samat updated the task description. (Show Details)Oct 6 2019, 4:04 PM
Samat updated the task description. (Show Details)Oct 6 2019, 10:12 PM
Trizek-WMF updated the task description. (Show Details)Oct 7 2019, 4:55 PM
Trizek-WMF added a comment.EditedOct 10 2019, 8:11 AM

@Samat, good job concerning the preparation of the features. Only a few elements are missing, and I need to know when you plan to finish it. It is to define a schedule for the deployments, since all interested wiki are finishing these initial steps at the same time.

I'm not familiar with FlaggedRevs. How would this extension interfere with the Growth team experiments, or newcomers first steps in general? (related to T209224: Analyze effect of huwiki FlaggedRevs configuration change on problematic edits and new user retention by @Tgr)

Samat updated the task description. (Show Details)Oct 14 2019, 9:16 PM
Samat added a comment.EditedOct 14 2019, 9:25 PM

@Samat, good job concerning the preparation of the features. Only a few elements are missing, and I need to know when you plan to finish it. It is to define a schedule for the deployments, since all interested wiki are finishing these initial steps at the same time.

@Trizek-WMF thank you :) I believe, until end of this week we will be able to finish all necessary tasks for deploying the experiments.

If it possible, it would be useful to implement for a short period of time only opt-in way (so anybody can switch on in the preferences, but it is not default for the newcomers), in order we can check through that everything works (and translated) as it is expected.

I'm not familiar with FlaggedRevs. How would this extension interfere with the Growth team experiments, or newcomers first steps in general? (related to T209224: Analyze effect of huwiki FlaggedRevs configuration change on problematic edits and new user retention by @Tgr)

I don't see why and where could be a conflict between FlaggedRevs and the Growth experiment, but we can try and test in the proposed introductory period, if you don't see it otherwise. @Tgr ?

Tgr added a comment.Oct 14 2019, 11:27 PM

If we end up restoring the old FlaggedRevs configuration where unreviewed edits are hidden from readers (decision still TBD), maybe there are some interface messages would have to be changed to clarify that. Also technically the impact module would become a bit misleading (as the views would actually have to be counted from the date of the review, not the date of the edit) but I doubt anyone cares about that. It's unlikely that FlaggedRevs would cause any technical difficulties. (And in any case, arwiki is using it, so we'd have noticed by now.)

@Samat, good job concerning the preparation of the features. Only a few elements are missing, and I need to know when you plan to finish it. It is to define a schedule for the deployments, since all interested wiki are finishing these initial steps at the same time.

@Trizek-WMF thank you :) I believe, until end of this week we can finish every necessary task for deploying the experiment.

Good news! You're almost done: you just have the "Help panel" and "Mentors" sections left.

If it possible, it would be useful to implement for a short period of time only opt-in way (so anybody can switch on in the preferences, but it is not default for the newcomers), in order we can check through that everything works (and translated) as it is expected.

It is definitely possible.

On our side, when the entire process will be finished, we will:

  1. create all the needed subtasks for developers and configuration
  2. deploy it as you request, for tests
  3. deploy it for newcomers
Samat updated the task description. (Show Details)Oct 15 2019, 10:14 PM
Samat updated the task description. (Show Details)Oct 16 2019, 10:35 PM
Tgr updated the task description. (Show Details)Oct 17 2019, 9:23 AM
Tgr added a comment.Oct 17 2019, 9:25 AM

Which namespace(s) and/or categories the Help panel search should handle (0 is mandatory)

"0 is mandatory" is a mistake here, right?

Anyway, we don't have a great option here. We do not have separate Help and Project namespaces, and categories are not terribly useful due to their treelike structure. (I don't suppose deepcat search is an option?) I guess we should just go with the Project namespace for now, and over time identify useful pages and categorize them or undo the Help/Project merge we did several years ago.

Samat updated the task description. (Show Details)Oct 22 2019, 8:56 PM
Samat updated the task description. (Show Details)Oct 23 2019, 8:02 PM
Samat updated the task description. (Show Details)Oct 23 2019, 8:14 PM

Which namespace(s) and/or categories the Help panel search should handle (0 is mandatory)

"0 is mandatory" is a mistake here, right?

Uh, no: the help desk will be displayed on the articles, so 0 is mandatory.

Anyway, we don't have a great option here. We do not have separate Help and Project namespaces, and categories are not terribly useful due to their treelike structure. (I don't suppose deepcat search is an option?) I guess we should just go with the Project namespace for now, and over time identify useful pages and categorize them or undo the Help/Project merge we did several years ago.

Is there any category that regroups all the help pages? Or some, even if not perfect?

Tgr added a comment.EditedNov 1 2019, 2:04 AM

Which namespace(s) and/or categories the Help panel search should handle (0 is mandatory)

"0 is mandatory" is a mistake here, right?

Uh, no: the help desk will be displayed on the articles, so 0 is mandatory.

Isn't that line about $wgGEHelpPanelSearchNamespaces (which namespaces the search bar should search in)?

Is there any category that regroups all the help pages? Or some, even if not perfect?

I didn't find anything great. It would be easier if deep category search would be allowed.
Where is that information used, anyway? I can't find any code in the Help panel search that would support category filters.

Samat updated the task description. (Show Details)Nov 1 2019, 10:55 PM
Samat added a comment.EditedNov 2 2019, 6:16 PM

Do you have any idea, why the Hungarian translation does not work here?
https://www.mediawiki.org/wiki/Growth/Communities/How_to_interact_with_newcomers
It is 100% translated, but the tool shows it is 51% ready, and the translated messages don't appear on the localized page.
(This is not a temporary issue, we finished the translation weeks ago.)

Samat added a comment.Nov 2 2019, 6:21 PM

Is there any category that regroups all the help pages? Or some, even if not perfect?

Kategória:Segítség (=Category:Help) is the root category for all help contents on the Hungarian Wikipedia:
https://hu.wikipedia.org/wiki/Kateg%C3%B3ria:Seg%C3%ADts%C3%A9g

Samat added a comment.EditedNov 2 2019, 6:24 PM

@Trizek-WMF I believe, we finished all mandatory and optional tasks for this ticket. Could or should we do anything else to resolve it?

Samat updated the task description. (Show Details)Nov 2 2019, 6:28 PM
Trizek-WMF added a comment.EditedNov 5 2019, 9:52 AM

Isn't that line about $wgGEHelpPanelSearchNamespaces (which namespaces the search bar should search in)?

I honestly don't remember. :) Since you have access to the configuration, I rely on you.

I didn't find anything great. It would be easier if deep category search would be allowed.
Where is that information used, anyway? I can't find any code in the Help panel search that would support category filters.

It's the contents in which the help panel searches on.

@Trizek-WMF I believe, we finished all mandatory and optional tasks for this ticket. Could or should we do anything else to resolve it?

I'm going to check everything and move the task to the next step when done.

Congratulations on achieving this journey, I'm collecting any feedback you could have on T234846: Scale: refine the process to avoid a huge amount of work for communities getting the features.

I checked the task, everything seems to be okay.

Some translations are missing, or not up to date concerning the interface, but that's not important since we always have to update the interface for the prototypes.

We are good to go: I assign the task to Jazmin, to create the sub-tasks developers need to have these features deployed on your wiki.

Samat added a comment.Nov 14 2019, 7:27 AM

I checked the task, everything seems to be okay.

Some translations are missing, or not up to date concerning the interface, but that's not important since we always have to update the interface for the prototypes.

We finished the translation of the interface until beginning of October, then I translated every changes and new messages until end of October, but this is a moving target and needs to be updated on a weekly base. I will do it soon again.

We are good to go: I assign the task to Jazmin, to create the sub-tasks developers need to have these features deployed on your wiki.

Thank you Benoît! @JTannerWMF: let us know where can we help.

Trizek-WMF added a comment.EditedNov 14 2019, 11:02 AM

@Samat, we have a monthly newsletter. Since your community is going to get the Growth experiments, you should consider to subscribe your wiki to it. Here are the links: translations and subscribe

Thank you @Samat and @Trizek-WMF ! I will create those subtasks today.

Trizek-WMF updated the task description. (Show Details)Nov 28 2019, 10:57 AM

On which namespaces it have to be deployed = 0, 2, 4

Shouldn't this be 2, 4, 12? That's how all our existing wikis are configured. Including 0 worries me in particular. See also T231720#5811842

Which namespace(s) and/or categories the Help panel search should handle (0 is mandatory) = 0, 4; Kategória:Segítség

I don't believe 0 is mandatory here at all. The normal setting is 4, 12 (Wikipedia and Help). We also don't have support for searching in categories right now.

Change 565443 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] GrowthExperiments: Enable help panel on huwiki

https://gerrit.wikimedia.org/r/565443

Change 565445 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] Add special page aliases for Hungarian

https://gerrit.wikimedia.org/r/565445

Change 565449 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] GrowthExperiments: Enable homepage on huwiki

https://gerrit.wikimedia.org/r/565449

Tgr added a comment.Jan 17 2020, 6:33 AM

Which namespace(s) and/or categories the Help panel search should handle (0 is mandatory) = 0, 4; Kategória:Segítség

I don't believe 0 is mandatory here at all. The normal setting is 4, 12 (Wikipedia and Help). We also don't have support for searching in categories right now.

That text is generated by the button in How to get the Growth experiments on your wiki (or was at the time, it seems slightly different now); I agree it doesn't make sense (there's some discussion about it in the comments above). 4, 12 is fine (12 is empty in huwiki so it won't make a difference).

On which namespaces it have to be deployed = 0, 2, 4

Shouldn't this be 2, 4, 12? That's how all our existing wikis are configured. Including 0 worries me in particular. See also T231720#5811842

I guess this is $wgGEHelpPanelReadingModeNamespaces? That task template could use more explanation. Yeah, 2, 4, 12 sounds reasonable (as above, 12 won't make any difference, but maybe we'll start using Help at some point in the future).

FWIW, if you create a task with the on-wiki template now, it will say On which namespaces the help panel will be displayed (0 is mandatory).

Change 565445 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add special page aliases for Hungarian

https://gerrit.wikimedia.org/r/565445

@Samat, the deployment for your wiki is schedule to start this Wednesday. You will probably see the first newcomers asking for questions this day. Please report any troubles here!

Change 566378 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@wmf/1.35.0-wmf.15] Add special page aliases for Hungarian

https://gerrit.wikimedia.org/r/566378

Change 566378 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@wmf/1.35.0-wmf.15] Add special page aliases for Hungarian

https://gerrit.wikimedia.org/r/566378

Change 565443 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Enable help panel on huwiki

https://gerrit.wikimedia.org/r/565443

Mentioned in SAL (#wikimedia-operations) [2020-01-22T22:30:55Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable help panel on ukwiki, huwiki, hywiki (T238319, T231720, T230478, T230676) (duration: 01m 04s)

Change 565449 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Enable homepage on huwiki

https://gerrit.wikimedia.org/r/565449

Mentioned in SAL (#wikimedia-operations) [2020-01-22T22:39:12Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable homepage on ukwiki, huwiki, hywiki (T238320, T231720, T230478, T230676) (duration: 01m 05s)

Trizek-WMF added a comment.EditedFeb 4 2020, 2:12 PM

Hello @Samat!

Have you tried the features? (You can create new test accounts for this.) Is there any community reaction for now?

Tgr added a comment.EditedFeb 12 2020, 4:46 AM

Mentorship features seem to be valuable, I haven't had time for any stats yet, but we get way more questions than via the old mentor questions page (which was a link with a preloaded template from the welcome message), and generally good questions in my experience.

The other features are only visible to new users so I wouldn't expect much community reaction.

Trizek-WMF closed this task as Resolved.Aug 5 2020, 5:29 PM

Everything has been deployed for a while now!

@Trizek-WMF -- ping on the comment above!